Bug 18825 - Elasticsearch - Update default authority mappings
Summary: Elasticsearch - Update default authority mappings
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 17373
Blocks: 19365
  Show dependency treegraph
 
Reported: 2017-06-19 19:39 UTC by Nick Clemens
Modified: 2018-05-01 09:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18825 - Elasticsearch - Update heading main-heading and see fields (9.22 KB, patch)
2017-06-19 19:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18825 - Elasticsearch - Update heading main-heading and see fields (9.09 KB, patch)
2018-03-13 16:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18825 - Elasticsearch - Update heading main-heading and see fields (9.14 KB, patch)
2018-03-16 10:05 UTC, Ere Maijala
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-06-19 19:39:39 UTC
We currently only include a few if they authority types in the initial mappings - we need to round these out
Comment 1 Nick Clemens 2017-06-19 19:41:53 UTC
Created attachment 64440 [details] [review]
Bug 18825 - Elasticsearch - Update heading main-heading and see fields
Comment 2 Ere Maijala 2018-01-31 12:06:23 UTC
I think there may be a couple of subfield lists that need to be fixed:

- 110 should include b
- 111 should not include b
- 130 should not include c
- 150 should be 150abgvxyz
- 151 should be 151agvxyz
- 155 should be 155avxyz
Comment 3 Nick Clemens 2018-03-13 16:21:54 UTC
Created attachment 72809 [details] [review]
Bug 18825 - Elasticsearch - Update heading main-heading and see fields
Comment 4 Nick Clemens 2018-03-13 16:23:28 UTC
Updated, I don't think this is necessarily complete but I think we should just incrementally improve these as we can. Let me know if you have more suggestions
Comment 5 Ere Maijala 2018-03-16 10:05:55 UTC
Created attachment 73007 [details] [review]
Bug 18825 - Elasticsearch - Update heading main-heading and see fields

Signed-off-by: Ere Maijala <ere.maijala@helsinki.fi>
Comment 6 Ere Maijala 2018-03-16 10:06:43 UTC
I agree that further refinement can be done as necessary.
Comment 7 Jonathan Druart 2018-04-05 15:46:53 UTC
I want to push it along with bug 17373, we need it for 18.05. So pushing it soon may bring feedbacks.
Comment 8 Jonathan Druart 2018-04-05 17:54:27 UTC
Pushed to master for 18.05, thanks to everybody involved!